Skip to main content
GET
/
v1
/
simulations
/
{simulation_id}
/
metrics
/
{metric_output_id}
Get simulation metric output(s)
curl --request GET \
  --url https://api.coval.dev/v1/simulations/{simulation_id}/metrics/{metric_output_id} \
  --header 'X-API-Key: <api-key>'
{
  "metric": {
    "metric_output_id": "01JCQR8Z9PQSTNVWXY12345678",
    "metric_id": "abc123xyz789",
    "status": "COMPLETED",
    "value": 0.85,
    "subvalues_by_timestamp": [
      {
        "start_offset": 0,
        "end_offset": 2.5,
        "output_type": "float",
        "float_value": 0.85,
        "string_value": "",
        "role": "assistant",
        "message_index": 3
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coval.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication.

Path Parameters

simulation_id
string
required

The simulation ID

Required string length: 22 - 27
metric_output_id
string
required

Either a 26-char MetricOutput ULID or a 22-char Metric definition ID. See endpoint description for response shape per ID type.

Required string length: 22 - 26

Response

Metric output details. Single object when called with a 26-char ULID, collection object when called with a 22-char metric_id.

Single metric output (returned when {metric_output_id} is a 26-char ULID)

metric
object
required